Publish Paywall Release

POST
/api/v1/paywalls/{paywallId}/releases/{releaseId}/publish

Path Parameters

paywallId*string
releaseId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/paywalls/string/releases/string/publish"
{  "createdAt": "string",  "flowPackage": {    "abiVersion": 0,    "productIds": [      "string"    ],    "sha256": "string",    "url": "string"  },  "paywallId": "string",  "publishedAt": "string",  "releaseId": "string",  "status": "draft",  "version": 0}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/PaywallNotFoundError",  "message": "string"}
{  "_tag": "Api/FlowPackageCompileError",  "message": "string",  "diagnostics": [    {      "code": "string",      "message": "string",      "nodeId": "string"    }  ]}
{  "_tag": "Api/PaywallPublishError",  "message": "string"}